import { INotificationHandler } from "@minteeble/utils";
export declare class MinteeWidgetDefaultNotificationHandler implements INotificationHandler {
    /**
     * Class instanceto Follow singleton design
     */
    private static _instance;
    /**
     * Get instance method or create if not exists
     */
    static get instance(): MinteeWidgetDefaultNotificationHandler;
    /**
     * Toastify common config
     */
    private _config;
    constructor();
    /**
     * Success Notification
     *
     * @param text Notification Text
     */
    success(text: string): void;
    /**
     * Error Notification
     *
     * @param text Notification Text
     */
    error(err: any): void;
    warning(message: string): void;
    info(message: string): void;
}
